Skip to content
Docs

Save Socket Mode tokens

PUT
/api/workspaces/{ws}/slack/{connection}/hires/{hire}/tokens

Only when Roster has no https address: the app's bot token and app-level token.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

connection*string

The connection's id (from GET /api/workspaces/:ws/connections).

hire*string

The hire's id.

Request Body

application/json
  1. body
botToken?string
Match^xoxb-
appToken?string
Match^xapp-

Response Body

{ ok: true }.

Example Request
curl -X PUT 'https://app.useroster.work/api/workspaces/string/slack/string/hires/string/tokens' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty